LinkPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkPoint

    java.lang.Object
      com.bbn.openmap.layer.link.LinkPoint

All Implemented Interfaces:
  LinkGraphicConstants, LinkPropertiesConstants

    public class LinkPoint

extends java.lang.Object
implements LinkGraphicConstants, LinkPropertiesConstants

Read and write the Link protocol for points. The protocol for the point has location information for the point, as well as a radius value indicating the size associated with this point. OMPoints also support whether the point should be rendered as a rectangle or an oval. That choice is specified as a property for the LinkPoint, along with any other rendering or attribute information that should be applied to the point.

Field Summary
`static java.lang.String` | `LPC_POINT_OVAL` The property for the LinkPoint to specify if the OMPoint should be rendered as an oval.

Fields inherited from interface com.bbn.openmap.layer.link.LinkGraphicConstants
`BASELINE_BOTTOM, BASELINE_MIDDLE, BASELINE_TOP, BLACK_COLOR_STRING, CLEAR_COLOR_STRING, COLORMODEL_DIRECT, COLORMODEL_INDEXED, COLORMODEL_URL, COLUMN_MAJOR, COORDMODE_ORIGIN, COORDMODE_PREVIOUS, DECIMAL_DEGREES, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, JUSTIFY_CENTER, JUSTIFY_LEFT, JUSTIFY_RIGHT, KM, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, MILES, NMILES, RADIANS, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, ROW_MAJOR`

Fields inherited from interface com.bbn.openmap.layer.link.LinkPropertiesConstants
`LPC_BACKWARD_DIAG_PATTERN, LPC_CENTER_LAT, LPC_CENTER_LONG, LPC_CLEAR_PROPERTIES, LPC_CLEAR_PROPERTIES_CHAR, LPC_CROSS_PATTERN, LPC_DASH, LPC_DASH_DOT, LPC_DASH_DOT_DOT, LPC_DIAG_CROSS_PATTERN, LPC_DOT, LPC_FILLCOLOR, LPC_FILLPATTERN, LPC_FORWARD_DIAG_PATTERN, LPC_GRAPHICID, LPC_HEIGHT, LPC_HIGHLIGHTCOLOR, LPC_HORIZONTAL_PATTERN, LPC_HTML, LPC_INFO, LPC_LATMAX, LPC_LATMIN, LPC_LINECOLOR, LPC_LINESTYLE, LPC_LINEWIDTH, LPC_LINKRASTERIMAGEURL, LPC_LINKROTATION, LPC_LINKTEXTBASELINE, LPC_LINKTEXTFONT, LPC_LINKTEXTSTRING, LPC_LONG_DASH, LPC_LONMAX, LPC_LONMIN, LPC_MESSAGE, LPC_OLD_FILLCOLOR, LPC_OLD_FILLPATTERN, LPC_OLD_HIGHLIGHTCOLOR, LPC_OLD_LINECOLOR, LPC_OLD_LINESTYLE, LPC_OLD_LINEWIDTH, LPC_OLD_LINKTEXTFONT, LPC_OLD_LINKTEXTSTRING, LPC_PROJECTION, LPC_PROPERY_MANAGEMENT_POLICY, LPC_PROPERY_MANAGEMENT_POLICY_CHAR, LPC_REUSE_PROPERTIES, LPC_REUSE_PROPERTIES_CHAR, LPC_SCALE, LPC_SOLID, LPC_SOLID_PATTERN, LPC_TIME, LPC_URL, LPC_VERTICAL_PATTERN, LPC_WIDTH`

Constructor Summary
`LinkPoint()`

Method Summary
`static OMPoint` | `read(java.io.DataInputStream dis)` Read the DataInputStream, and create an OMPoint.
`static OMPoint` | `read(java.io.DataInputStream dis, LinkProperties propertiesBuffer)` Read the DataInputStream, and create an OMPoint.
`static void` | `write(float lt, float ln, int px1, int py1, int radius, LinkProperties properties, java.io.DataOutputStream dos)` Construct an XY point relative to a lat/lon point (RENDERTYPE_OFFSET).
`static void` | `write(float lt, float ln, int radius, LinkProperties properties, java.io.DataOutputStream dos)` Create a lat/lon point.
`static void` | `write(int px1, int py1, int radius, LinkProperties properties, java.io.DataOutputStream dos)` Construct an XY point at a screen location..
`static void` | `write(OMPoint point, Link link, LinkProperties props)` Write an OMPoint to the Link.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LPC_POINT_OVAL

    public static final java.lang.String LPC_POINT_OVAL

  The property for the LinkPoint to specify if the OMPoint should be rendered as an oval. The value should be true or false, depending if the point should be rendered as an oval.

  See Also:
    Constant Field Values

Constructor Detail

### LinkPoint

    public LinkPoint()

Method Detail

### write

    public static void write(float lt,
                             float ln,
                             int radius,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Create a lat/lon point.

  Parameters:
    `lt` - latitude of north edge, decimal degrees.
    `ln` - longitude of west edge, decimal degrees.
    `radius` - pixel radius of the point.
    `properties` - description of drawing attributes.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(int px1,
                             int py1,
                             int radius,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Construct an XY point at a screen location..

  Parameters:
    `px1` - x pixel position of the first corner relative to the window origin
    `py1` - y pixel position of the first corner relative to the window origin
    `radius` - pixel radius of the point.
    `properties` - description of drawing attributes.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(float lt,
                             float ln,
                             int px1,
                             int py1,
                             int radius,
                             LinkProperties properties,
                             java.io.DataOutputStream dos)
                      throws java.io.IOException

  Construct an XY point relative to a lat/lon point (RENDERTYPE_OFFSET). It doesn't matter which corners of the point are used, as long as they are opposite from each other.

  Parameters:
    `lt` - latitude of the reference point, decimal degrees.
    `ln` - longitude of the reference point, decimal degrees.
    `px1` - x pixel position of the first corner relative to the reference point
    `py1` - y pixel position of the first corner relative to the reference point
    `radius` - a pixel radius of the point.
    `properties` - description of drawing attributes.
    `dos` - DataOutputStream
  Throws:
    `java.io.IOException`

### write

    public static void write(OMPoint point,
                             Link link,
                             LinkProperties props)
                      throws java.io.IOException

  Write an OMPoint to the Link.

  Throws:
    `java.io.IOException`

### read

    public static OMPoint read(java.io.DataInputStream dis)
                        throws java.io.IOException

  Read the DataInputStream, and create an OMPoint. Assumes that the LinkPoint header has been read from the link.

  Parameters:
    `dis` - DataInputStream
  Returns:
    OMPoint
  Throws:
    `java.io.IOException`
  See Also:
    `OMPoint`

### read

    public static OMPoint read(java.io.DataInputStream dis,
                               LinkProperties propertiesBuffer)
                        throws java.io.IOException

  Read the DataInputStream, and create an OMPoint. Assumes that the LinkPoint header has been read from the link.

  Parameters:
    `dis` - DataInputStream
    `propertiesBuffer` - a LinkProperties object used to cache previous settings that can be set on the OMPoint being read.
  Returns:
    OMPoint
  Throws:
    `java.io.IOException`
  See Also:
    `OMPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details